# Res'In Serveur

L'appplication est basée sur le framework [Nest](https://nestjs.com). Celle-ci utilise une BDD mongodb.

## Installation

### Prérequis

Windows: avoir Docker Desktop installé
Linux: avoir docker et docker-compose installé

Créer un ficher .env sur le modèle du ficher `template.env` et remplir les différentes variables.

### Installation

Suivre le [wiki d'installation disponible sur le client](https://forge.grandlyon.com/web-et-numerique/pamn_plateforme-des-acteurs-de-la-mediation-numerique/pamn_client/-/wikis/Installation-projet-RESIN)

## Running the app

### Base de donnée

```bash
$ docker-compose up -d database-ram
$ docker-compose up -d mongo-express
```

### Application

```bash
# development
$ npm run start

# watch mode
$ npm run start:dev

# production mode
$ npm run start:prod
```

### Liens

- [Swagger](http://localhost:3000/api/doc)
- [Mongo Express](http://localhost:8081)


## Documentation

A documentation is generated with compodoc in addition of the existing documentation on the wiki.

```sh
npm run doc:serve
```

You can now visualize it at : `localhost:8080`

## Test

```bash
# unit tests
$ npm run test

# e2e tests
$ npm run test:e2e

# test coverage
$ npm run test:cov
```

## Support

Nest is an MIT-licensed open source project. It can grow thanks to the sponsors and support by the amazing backers. If you'd like to join them, please [read more here](https://docs.nestjs.com/support).

## License

Nest is [MIT licensed](https://github.com/nestjs/nest/blob/master/LICENSE).
