import { Module } from '@nestjs/common';
import { MongooseModule } from '@nestjs/mongoose';
import { CategoriesService } from './services/categories.service';
import { Categories, CategoriesSchema } from './schemas/categories.schema';
import { CategoriesController } from './controllers/categories.controller';
import { HttpModule } from '@nestjs/axios';

@Module({
  imports: [MongooseModule.forFeature([{ name: Categories.name, schema: CategoriesSchema }]), HttpModule],
  controllers: [CategoriesController],
  exports: [CategoriesService],
  providers: [CategoriesService],
})
export class CategoriesModule {}
