import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';

export type StructureTypeDocument = StructureType & Document;

@Schema({ collection: 'structuretype' })
export class StructureType {
  @Prop()
  category: string;

  @Prop()
  value: string;

  // Boolean set to false if user can't select this type during structure creation
  @Prop()
  selectable: boolean;
}

export const StructureTypeSchema = SchemaFactory.createForClass(StructureType);
