import { StructureDto } from '../../../src/structures/dto/structure.dto';
import { StructureDocument } from '../../../src/structures/schemas/structure.schema';

export const structuresDocumentDataMock: StructureDocument[] = [
  {
    _id: '6093ba0e2ab5775cfc01ed3e',
    coord: [4.8498155, 45.7514817],
    categories: {
      onlineProcedures: [],
      baseSkills: [],
      advancedSkills: [],
    },
    structureType: null,
    structureName: 'a',
    description: null,
    lockdownActivity: null,
    address: {
      numero: null,
      street: 'Rue Alphonse Daudet',
      commune: 'Lyon 7ème Arrondissement',
      postcode: '69007',
      inseeCode: '69387',
    },
    contactMail: '',
    contactPhone: '',
    website: '',
    facebook: null,
    twitter: null,
    instagram: null,
    linkedin: null,
    hours: {
      monday: {
        open: false,
        time: [],
      },
      tuesday: {
        open: false,
        time: [],
      },
      wednesday: {
        open: false,
        time: [],
      },
      thursday: {
        open: false,
        time: [],
      },
      friday: {
        open: false,
        time: [],
      },
      saturday: {
        open: false,
        time: [],
      },
      sunday: {
        open: false,
        time: [],
      },
    },
    pmrAccess: false,
    exceptionalClosures: null,
    otherDescription: null,
    nbComputers: 1,
    nbPrinters: 1,
    nbTablets: 1,
    nbNumericTerminal: 1,
    nbScanners: 1,
    freeWorkShop: 'Non',
    accountVerified: true,
    personalOffers: [],
    createdAt: '2021-05-06T09:42:38.000Z',
    updatedAt: '2021-05-06T09:42:50.000Z',
    __v: 0,
    save: jest.fn(),
  } as any,
  {
    _id: '6093ba0e2ab5775cfc01ed3e',
    coord: [4.8498155, 45.7514817],
    digitalCultureSecurity: [],
    parentingHelp: [],
    socialAndProfessional: [],
    accessRight: [],
    baseSkills: [],
    proceduresAccompaniment: [],
    publicsAccompaniment: [],
    publics: ['adultes'],
    labelsQualifications: [],
    accessModality: ['telephoneVisio'],
    structureType: null,
    structureName: 'a',
    description: null,
    lockdownActivity: null,
    address: {
      numero: null,
      street: 'Rue Alphonse Daudet',
      commune: 'Lyon 7ème Arrondissement',
      postcode: '69007',
      inseeCode: '69387',
    },
    contactMail: '',
    contactPhone: '',
    website: '',
    facebook: null,
    twitter: null,
    instagram: null,
    linkedin: null,
    hours: {
      monday: {
        open: false,
        time: [],
      },
      tuesday: {
        open: false,
        time: [],
      },
      wednesday: {
        open: false,
        time: [],
      },
      thursday: {
        open: false,
        time: [],
      },
      friday: {
        open: false,
        time: [],
      },
      saturday: {
        open: false,
        time: [],
      },
      sunday: {
        open: false,
        time: [],
      },
    },
    pmrAccess: false,
    exceptionalClosures: null,
    otherDescription: null,
    nbComputers: 1,
    nbPrinters: 1,
    nbTablets: 1,
    nbNumericTerminal: 1,
    nbScanners: 1,
    freeWorkShop: 'Non',
    accountVerified: true,
    personalOffers: [
      {
        _id: '1234ba0e2ab5775cfc01ed3e',
        proceduresAccompaniment: [],
        baseSkills: [],
        accessRight: [],
        digitalCultureSecurity: [],
        socialAndProfessional: [],
        parentingHelp: [],
        createdAt: 'Wed Mar 16 2022 14:29:11 GMT+0100 (heure normale d’Europe centrale)',
        updatedAt: 'Wed Mar 16 2022 17:29:11 GMT+0100 (heure normale d’Europe centrale)',
      },
    ],
    createdAt: '2021-05-06T09:42:38.000Z',
    updatedAt: '2021-05-06T09:42:50.000Z',
    __v: 0,
    save: jest.fn(),
  } as any,
] as StructureDocument[];

export const structureMockDto: StructureDto = {
  coord: [4.8498155, 45.7514817],
  categories: {
    onlineProcedures: [],
    baseSkills: [],
    advancedSkills: [],
  },
  structureType: null,
  structureName: 'a',
  description: null,
  lockdownActivity: null,
  address: {
    numero: null,
    street: 'Rue Alphonse Daudet',
    commune: 'Lyon 7ème Arrondissement',
    postcode: '69007',
    inseeCode: '69387',
  },
  contactMail: '',
  contactPhone: '',
  website: '',
  facebook: null,
  twitter: null,
  instagram: null,
  linkedin: null,
  hours: {
    monday: {
      open: false,
      time: [],
    },
    tuesday: {
      open: false,
      time: [],
    },
    wednesday: {
      open: false,
      time: [],
    },
    thursday: {
      open: false,
      time: [],
    },
    friday: {
      open: false,
      time: [],
    },
    saturday: {
      open: false,
      time: [],
    },
    sunday: {
      open: false,
      time: [],
    },
  },
  pmrAccess: false,
  exceptionalClosures: null,
  otherDescription: null,
  nbComputers: 1,
  nbPrinters: 1,
  nbScanners: 1,
  freeWorkShop: 'Non',
  accountVerified: true,
  personalOffers: [],
  createdAt: new Date(),
  updatedAt: new Date(),
  toBeDeletedAt: new Date(),
  deletedAt: new Date(),
  remoteAccompaniment: true,
  dataShareConsentDate: new Date(),
  numero: '',
};
